Admin A P I
List node allocations
Returns a paginated list of allocations for a node.
GET
/api/admin/nodes/{node_id}/allocationsAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
node_id*integer
The node ID.
Query Parameters
filter[ip]?string
Filter allocations by exact IP address.
filter[port]?integer
Filter allocations by exact port.
filter[ip_alias]?string
Filter allocations by IP alias.
filter[server_id]?string
Filter allocations by server ID, or pass an empty value to return unassigned allocations.
sort?string
Sort allocations by id, ip, or port. Prefix with a hyphen for descending order.
page?integer
Page number to return.
per_page?integer
Results to return per page.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/admin/nodes/1/allocations?filter%5Bip%5D=192.168.1.1&filter%5Bport%5D=25565&filter%5Bip_alias%5D=game.example.com&filter%5Bserver_id%5D=42&sort=port&page=1&per_page=50"{ "object": "list", "data": [ { "object": "allocation", "attributes": { "id": 9864, "ip": "43.197.122.240", "alias": "string", "port": 23726, "notes": "string", "server_id": 0, "server_name": "string", "assigned": false } } ], "meta": { "pagination": { "total": 1, "count": 1, "per_page": 50, "current_page": 1, "total_pages": 1, "links": { "property1": "string", "property2": "string" } } }}